// @ts-ignore
/* eslint-disable */
import request from '@/request/http'

/** 检查员工是否有指定应用的权限 检查员工是否有指定应用的权限 GET /anyone/checkApplication */
export async function checkApplication(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.checkApplicationParams,
  options?: { [key: string]: any }
) {
  return request<API.RBoolean>(`/oauth/anyone/checkApplication`, {
    method: 'GET',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 检测员工是否拥有指定应用的权限 检测员工是否拥有指定应用的权限 GET /anyone/checkEmployeeHaveApplication */
export async function checkEmployeeHaveApplication(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.checkEmployeeHaveApplicationParams,
  options?: { [key: string]: any }
) {
  return request<API.RBoolean>(`/oauth/anyone/checkEmployeeHaveApplication`, {
    method: 'GET',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 查询用户可用的所有资源 查询用户可用的所有资源 GET /anyone/findVisibleResource */
export async function visibleResource(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.visibleResourceParams,
  options?: { [key: string]: any }
) {
  return request<API.RListString>(`/oauth/anyone/findVisibleResource`, {
    method: 'GET',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 查询用户的资源权限列表 查询用户的资源权限列表 GET /anyone/getPermissionList */
export async function getPermissionList(options?: { [key: string]: any }) {
  return request<API.RListString>(`/oauth/anyone/getPermissionList`, {
    method: 'GET',
    ...(options || {})
  })
}

/** 查询用户的角色列表 查询用户的角色列表 GET /anyone/getRoleList */
export async function getRoleList(options?: { [key: string]: any }) {
  return request<API.RListString>(`/oauth/anyone/getRoleList`, {
    method: 'GET',
    ...(options || {})
  })
}

/** 查询用户可用的所有资源 根据员工ID和应用ID查询员工在某个应用下可用的资源 GET /anyone/visible/resource */
export async function visible(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.visibleParams,
  options?: { [key: string]: any }
) {
  return request<API.RVisibleResourceVO>(`/oauth/anyone/visible/resource`, {
    method: 'GET',
    params: {
      ...params
    },
    ...(options || {})
  })
}
